Subject: Ticket Assigned - follow up on return status order #9511255055
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Wed, 17 Nov 2021 10:35:28 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  follow up on return status order #9511255055 hello
I keep trying to contact you for the return request, it’s been more than 10 days that I have requested a return pickup, I received a call few days ago saying that they will pick it up next day but still nothing. can you please follow up.
order number 9511255055

Sent from my iPhone https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3385273